For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
            • GETList Products
            • PUTUpdate Products (batch)
            • POSTCreate Product
            • DELDelete Products
            • GETGet Product
            • PUTUpdate Product
            • DELDelete Product
        • Product Modifiers
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProducts

Get Product

GET
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/:product_id
GET
/stores/:store_hash/v3/catalog/products/:product_id
$curl https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
1{
2 "data": {
3 "id": 174,
4 "date_created": "2018-08-15T14:48:46+00:00",
5 "date_modified": "2018-09-05T20:42:07+00:00",
6 "base_variant_id": 345,
7 "calculated_price": 7.95,
8 "map_price": 0,
9 "option_set_id": 55,
10 "option_set_display": "right",
11 "name": "1L Le Parfait Jar",
12 "type": "physical",
13 "sku": "",
14 "description": "<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi vel metus ac est egestas porta sed quis erat. Integer id nulla massa. Proin vitae enim nisi. Praesent non dignissim nulla. Nulla mattis id massa ac pharetra. Mauris et nisi in dolor aliquam sodales. Aliquam dui nisl, dictum quis leo sit amet, rutrum volutpat metus. Curabitur libero nunc, interdum ac libero non, tristique porttitor metus. Ut non dignissim lorem, in vestibulum leo. Vivamus sodales quis turpis eget.</span></p>",
15 "weight": 1,
16 "width": 0,
17 "depth": 0,
18 "height": 0,
19 "price": 7.95,
20 "cost_price": 0,
21 "retail_price": 10,
22 "sale_price": 0,
23 "tax_class_id": 0,
24 "product_tax_code": "",
25 "categories": [
26 23,
27 21
28 ],
29 "brand_id": 36,
30 "inventory_level": 0,
31 "inventory_warning_level": 0,
32 "inventory_tracking": "none",
33 "fixed_cost_shipping_price": 0,
34 "is_free_shipping": false,
35 "is_visible": true,
36 "is_featured": false,
37 "related_products": [
38 -1
39 ],
40 "warranty": "",
41 "bin_picking_number": "",
42 "layout_file": "product.html",
43 "upc": "",
44 "search_keywords": "jar, glass",
45 "availability_description": "",
46 "availability": "available",
47 "gift_wrapping_options_type": "any",
48 "gift_wrapping_options_list": [],
49 "sort_order": 0,
50 "condition": "New",
51 "is_condition_shown": false,
52 "order_quantity_minimum": 0,
53 "order_quantity_maximum": 0,
54 "page_title": "",
55 "meta_keywords": [],
56 "meta_description": "",
57 "view_count": 10,
58 "preorder_release_date": "2018-09-05T20:42:07+00:00",
59 "preorder_message": "",
60 "is_preorder_only": false,
61 "is_price_hidden": false,
62 "price_hidden_label": "",
63 "custom_url": {
64 "url": "/all/1l-le-parfait-jar/",
65 "is_customized": true
66 },
67 "open_graph_type": "product",
68 "open_graph_title": "",
69 "open_graph_description": "",
70 "open_graph_use_meta_description": true,
71 "open_graph_use_product_name": true,
72 "open_graph_use_image": true,
73 "gtin": "",
74 "mpn": "",
75 "reviews_rating_sum": 0,
76 "reviews_count": 0,
77 "total_sold": 7
78 },
79 "meta": {}
80}

Returns a single Product. Optional parameters can be passed in.

Was this page helpful?
Previous

Delete Products

Next

Update Product

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

includelist of enumsOptional

A comma-separated list of sub-resources to return with a product object.

include_fieldslist of enumsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

exclude_fieldslist of stringsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

Response

dataobject
metaobject
Response metadata.

Errors

404
Not Found Error

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.